Bug 4755 - Move dracut aufs module to a separate package
: Move dracut aufs module to a separate package
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-01 17:17 MSK by Denis Silakov
Modified: 2014-12-08 18:02 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
dracut-rebuild-32bit.txt (10.93 KB, text/plain)
2014-12-03 10:44 MSK, FirstLevel
Details
dracut-rebuild-64bit.txt (8.67 KB, text/plain)
2014-12-03 10:44 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-12-01 17:17:14 MSK
Currently aufs module for dracut (used by ROSA Freeze) is built as a part of dracut itself and stored in ABF as a patch for dracut. This is not convenient, it would be nice to have this module as a separate package that can be updated independently of dracut.
Comment 1 Denis Silakov 2014-12-01 17:18:29 MSK
Advisory:
Split aufs module for dracut into a separate dracut-aufs package.

Build lists:
(dracut)
https://abf.io/build_lists/2346694
https://abf.io/build_lists/2346692

(dracut-aufs)
https://abf.io/build_lists/2346668
https://abf.io/build_lists/2346667
Comment 2 FirstLevel 2014-12-03 10:44:00 MSK
Update and reboot goes well.
dracut-rebuild-32bit.txt and dracut-rebuild-64bit.txt - dracut rebuild logs
Comment 3 FirstLevel 2014-12-03 10:44:18 MSK
Created attachment 3551 [details]
dracut-rebuild-32bit.txt
Comment 4 FirstLevel 2014-12-03 10:44:31 MSK
Created attachment 3552 [details]
dracut-rebuild-64bit.txt
Comment 5 Vladimir Potapov 2014-12-04 19:06:35 MSK
После обновления на EFI

update-grub2
/usr/sbin/grub2-efi-probe: ошибка: не удалось получить канонический путь none.
Comment 6 Vladimir Potapov 2014-12-04 19:08:17 MSK
(In reply to comment #5)
> После обновления на EFI
> 
> update-grub2
> /usr/sbin/grub2-efi-probe: ошибка: не удалось получить канонический путь
> none.
+ там еще, после обновления, была попытка поставить новое ядро.
Ядро не попало в граб, как выяснилось, в результате несрабатывания update-grub2.
Кто виноват - граб или дракут сейчас выясняю.
Comment 7 Vladimir Potapov 2014-12-05 03:36:17 MSK
(In reply to comment #6)
> (In reply to comment #5)
> > После обновления на EFI
> > 
> > update-grub2
> > /usr/sbin/grub2-efi-probe: ошибка: не удалось получить канонический путь
> > none.
> + там еще, после обновления, была попытка поставить новое ядро.
> Ядро не попало в граб, как выяснилось, в результате несрабатывания
> update-grub2.
> Кто виноват - граб или дракут сейчас выясняю.
Выяснилось, что скорее всего был виноват включенный фриз-режим. Граб в конце концов упал в консоль, пришлось переставлять.
Comment 8 Vladimir Potapov 2014-12-08 10:30:42 MSK
dracut-037-18
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2346694/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2346692/x86_64/main/release/

dracut-aufs-1.0-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2346667/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2346668/x86_64/main/release/

******************************* Advisory *************************
Split aufs module for dracut into a separate dracut-aufs package.
******************************************************************
QA Verified